﻿using AnotherService;
using System;
using System.ServiceModel;

namespace wcf_test_client
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            var address = string.Format("{0}/{1}", Constant.BaseAddress, Constant.Identifier);

            var endpointAddress = new EndpointAddress(address);

            var binding = new NetNamedPipeBinding
            {
                SendTimeout = TimeSpan.MaxValue,
                ReceiveTimeout = TimeSpan.MaxValue
            };

            var channelFactory = new ChannelFactory<IAnotherService>(binding, endpointAddress);

            var channel = channelFactory.CreateChannel();
            channel.Hello();
        }
    }
}