﻿using System;
using System.ServiceModel;
using AnotherService;

namespace wcf_test
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            var host = new ServiceHost(typeof(AnotherServiceImpl), Constant.BaseAddress);

            var binding = new NetNamedPipeBinding
            {
                SendTimeout = TimeSpan.MaxValue,
                ReceiveTimeout = TimeSpan.MaxValue
            };

            host.AddServiceEndpoint(typeof(IAnotherService), binding, Constant.Identifier);

            host.Open();

            Console.WriteLine("T");
            Console.ReadLine();
        }
    }
}